FORMS(3)

NAME
post_form, unpost_form - form library

LIBRARY
libform

SYNOPSIS
#include <form.h>
int
post_form(FORM *form);
int
unpost_form(FORM *form);

DESCRIPTION
The post_form() function performs the actions necessary to present the form on the curses screen. If there are any init functions that need to be called then they will be called prior to the form being posted and the cursor will be positioned on the first active field that can be visited. Conversely, the function unpost_form() removes the form from the screen and calls any termination functions that were specified.

RETURN VALUES
The functions will return one of the following error values:

E_OK
    The function was successful.
E_BAD_ARGUMENT
    A bad argument was passed to the function.
E_POSTED
    The form is already posted to the screen.
E_NOT_POSTED
    The form was not posted to the screen.
E_NOT_CONNECTED
    There are no fields associated with the form.
E_BAD_STATE
    The function was called from within a init or term function.

SEE ALSO
curses(3), forms(3)

NOTES
The header <form.h> automatically includes both <curses.h> and <eti.h>.